﻿@model ClientLogin
@{
    var ClientBudgets = Model.ClientBudgets.GroupBy(m => new { m.BudgetItem.ParentId, m.BudgetItem.Parent.ItemName }).Where(m => m.Key.ParentId > 0);
}
<h2 class="text-navi">Expense</h2>
<div>Assumed Inflation Rate: <span class="text-ink">@Model.ClientData.AssumedInflationRate%</span></div>
@if (!Model.ClientData.BudgetVersion)
{
    <div>Projected Annual Budget: <span class="text-ink">@string.Format("{0:C0}", Model.ClientData.ProjectedAnnualBudget)</span></div>
    <div>How much of my projected budget is inflationary expenses: <span class="text-ink">@string.Format("{0:C0}", Model.ClientData.InflationaryBudget)</span></div>
    <div>How much of my projected budget is non-inflationary expenses: <span class="text-ink">@string.Format("{0:C0}", Model.ClientData.NonInflationaryBudget)</span></div>
}
else
{
    if (ClientBudgets.Count() > 0)
    {
        <table class="table-custom" style="margin-bottom:30px">
            <thead>
                <tr>
                    <th>Invest in Yourself</th>
                    <th class="text-right">Annual amount</th>
                    <th class="text-center" width="50">Inflationary?</th>
                    <th class="text-right">Balance owed</th>
                    <th class="text-center" width="130">Years till pay off</th>
                </tr>
            </thead>
            @foreach (var item in ClientBudgets)
            {
                var total = item.Sum(m => m.Amount);
                var totalBalanceOwn = item.Sum(m => m.BalanceOwn);
                bool hasRevolvingDebt = item.Any(m => m.BudgetItem.IsRevolvingDebt);
                if (total > 0)
                {
                    <tr>
                        <td class="font-weight-bold" colspan="5">
                            @item.Key.ItemName
                        </td>
                    </tr>
                    @foreach (var item1 in item.Where(m => m.Amount > 0))
                    {
                        <tr>
                            <td style="padding-left:30px">@item1.BudgetItem.ItemName</td>
                            <td class="text-right">
                                @string.Format("{0:C0}", item1.Amount)
                            </td>
                            <td class="text-center">
                                @(item1.Inflationary ? "Yes" : "No")
                            </td>
                            <td class="text-@(item1.BalanceOwn>0?"right":"center") term-revolve">
                                @(item1.BalanceOwn>0? string.Format("{0:C0}", item1.BalanceOwn):"-")
                            </td>
                            <td class="text-center">
                                @(item1.YearsPayOff>0? item1.YearsPayOff.ToString():"-")
                            </td>
                        </tr>
                    }
                    <tr>
                        <td class="font-weight-bold" style="padding-left:30px">Total</td>
                        <td class="text-right">@string.Format("{0:C0}", total)</td>
                        <td></td>
                        <td class="text-@(totalBalanceOwn > 0 ? "right" : "center")">@(totalBalanceOwn > 0 ? string.Format("{0:C0}", totalBalanceOwn) : "-") </td>
                        <td></td>
                    </tr>
                }
            }
        </table>
    }
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />